.\" $NetBSD: bcsp.4,v 1.4 2009/05/18 13:51:10 wiz Exp $
.\"
.\" Copyright (c) 2007 KIYOHARA Takashi
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
.\" DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
.\" INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
.\" SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
.\" ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd August 23, 2009
.Dt BCSP 4
.Os
.Sh NAME
.Nm bcsp
.Nd BlueCore Serial Protocol driver
.Sh SYNOPSIS
.Cd pseudo-device bcsp
.Sh DESCRIPTION
The
.Nm
driver provides a
.Xr tty 4
line discipline to send and receive BlueCore Serial Protocol packets over
a serial line, as described in the
.Qq BlueCore Serial Protocol Pq BCSP
specification.
.Pp
Moreover, the
.Nm
supports BCSP Link Establishment Protocol, as described in the
.Qq BCSP Link Establishment Protocol
specification.
.Pp
The
.Xr btattach 8
program is used to configure the tty line and create the
.Nm
driver instance.
.Sh SEE ALSO
.Xr bluetooth 4 ,
.Xr btuart 4 ,
.Xr btattach 8
.Sh HISTORY
The
.Nm
device appeared in
.Nx 5.0 .
.Sh AUTHORS
.An KIYOHARA Takashi Aq kiyohara@kk.iij4u.or.jp
.Sh BUGS
.Nm
does not support configuration for baud rate yet.
